#ifndef _triangle

#define _triangle


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <vector2.h>


typedef struct triangle{

	unsigned short __classIndex;

	vector2 * a;

	vector2 b;

	vector2 c;


} triangle;

void triangle_add( triangle * this, triangle * a );

triangle triangle_new(  );

triangle * triangle_newPointer(  );

#endif
